﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek 2 Ch TPS 2000 (1 yr) VER RS-232 /9100+Opt250
DATE:                  2017-04-10 11:21:57
AUTHOR:                Fluke
REVISION:              $Revision: 19205 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       154
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#        VY
#
#  Models covered:
#        TPS 2012
#
#  Source(s):
#        TPS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1465-01
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#        Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
#         output tracking: <0.25 dB, equivalent output
#         SWR: <1.22, HP/Agilent 11667A or equivalent
#         N(f) all ports
#        N(m) to BNC(f) adapter, 3 sets
#        50 Ohm feed through terminator, 2 sets
#        50 Ohm BNC(m)-(m) cable, 10 inch long, 2 sets
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9100         200MH                        1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V

  1.005  MATH         @ReqMetCalVersion = "7.20x"
  1.006  CALL         Sub MET/CAL Version Check

  1.007  IF           NOT(@MetCalVersionOK)
  1.008  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.008  DISP         or later.
  1.009  END
  1.010  ENDIF

  1.011  HEAD         REMOTE SETUP
  1.012  TARGET
  1.013  CALL         Sub Tek TPS2000 Setup RS-232
  1.014  PORT         *RST

  1.015  HEAD         UUT IDENTIFICATION
  1.016  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.017  CALL         Sub IEEE-488.2 Identification Query RS-232 using OTERM
  1.018  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.019  CALL         Sub High Voltage Safety Warning

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  CALL         Sub Select Failed Test Mode
  1.022  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.023  HEAD         TEST CONDITIONS
  1.024  DISP         Ensure a minimum UUT warm-up time of at least
  1.024  DISP         10 minutes has been allowed to elapse, prior
  1.024  DISP         to beginning verification.

  1.025  HEAD         EQUIPMENT REQUIREMENTS
  1.026  DISP         The following additional equipment and/or
  1.026  DISP         accessories are required:
  1.026  DISP
  1.026  DISP         - Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
  1.026  DISP         [32] output tracking: <0.25 dB, equivalent output
  1.026  DISP         [32] SWR: <1.22, HP/Agilent 11667A or equivalent
  1.026  DISP         [32] N(f) all ports
  1.026  DISP         - N(m) to BNC(f) adapter, 3 sets
  1.026  DISP         - 50 Ohm feed through terminator, 2 sets
  1.026  DISP         - 50 Ohm BNC(m)-(m) cable, 10 inch long, 2 sets

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results. For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.027  CALL         Sub Tek TPS2000 Self-Test RS-232
  1.028  JMPL         END                         @Abort

  1.029  MATH         @SPCTime = 130
  1.030  CALL         Sub Tek TPS2000 Sig Path Comp Cal RS-232
  1.031  JMPL         END                         @Abort

  1.032  MATH         @Chan = 1
  1.033  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9100+Opt250
  1.034  MATH         @Chan = 2
  1.035  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9100+Opt250
  1.036  MATH         @Chan = 1
  1.037  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9100+Opt250
  1.038  JMPL         TRIG_CH1

  1.039  LABEL        BANDWIDTH_CH2
  1.040  MATH         @Chan = 2
  1.041  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9100+Opt250
  1.042  JMPL         TRIG_CH2

  1.043  LABEL        TRIG_CH1
  1.044  MATH         @Chan = 1
  1.045  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9100+Opt250
  1.046  JMPL         SAMPLE_RATE_DELAY_TIME

  1.047  LABEL        TRIG_CH2
  1.048  MATH         @Chan = 2
  1.049  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9100+Opt250
  1.050  MATH         @Chan = 1
  1.051  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9100+Opt250
  1.052  MATH         @Chan = 2
  1.053  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9100+Opt250
  1.054  JMPL         END

  1.055  LABEL        SAMPLE_RATE_DELAY_TIME
  1.056  MATH         @Chan = 1
  1.057  CALL         Sub Tek TPS2000 (1 yr) Sample Rate RS-232 /9100+Opt250
  1.058  JMPL         BANDWIDTH_CH2

  1.059  LABEL        END

  1.060  IF           @Abort
  1.061  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.062  ELSE
  1.063  HEAD
  1.064  ENDIF

  1.065  END
